define(["require", "exports", "../../../Styling", "../../../Utilities", "../BaseButton.styles", "../SplitButton/SplitButton.styles"], function (require, exports, Styling_1, Utilities_1, BaseButton_styles_1, SplitButton_styles_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.getStyles = Utilities_1.memoizeFunction(function (theme, customStyles, focusInset, focusColor) {
        var _a, _b, _c, _d;
        var baseButtonStyles = BaseButton_styles_1.getStyles(theme);
        var baseSplitButtonStyles = SplitButton_styles_1.getStyles(theme);
        var p = theme.palette;
        var commandButtonHighContrastFocus = {
            left: 4,
            top: 4,
            bottom: 4,
            right: 4,
            border: 'none'
        };
        var commandButtonStyles = {
            root: [
                Styling_1.getFocusStyle(theme, 2, 'relative', commandButtonHighContrastFocus, 'transparent'),
                theme.fonts.medium,
                {
                    minWidth: '40px',
                    backgroundColor: 'transparent',
                    color: p.neutralPrimary,
                    padding: '0 4px',
                    border: 'none',
                    borderRadius: 0,
                    selectors: (_a = {},
                        _a[Styling_1.HighContrastSelector] = {
                            border: 'none'
                        },
                        _a)
                }
            ],
            rootHovered: {
                backgroundColor: p.neutralLighter,
                color: p.neutralDark,
                selectors: (_b = {},
                    _b[Styling_1.HighContrastSelector] = {
                        color: 'Highlight'
                    },
                    _b)
            },
            rootPressed: {
                backgroundColor: p.neutralLight,
                color: p.black
            },
            rootChecked: {
                backgroundColor: p.neutralLight,
                color: p.black
            },
            rootExpanded: {
                backgroundColor: p.neutralLight,
                color: p.black
            },
            rootCheckedHovered: {
                backgroundColor: p.neutralQuaternaryAlt,
                color: p.black
            },
            // Split button styles
            splitButtonContainer: {
                selectors: (_c = {},
                    _c[Styling_1.HighContrastSelector] = {
                        border: 'none'
                    },
                    _c)
            },
            splitButtonDivider: {
                backgroundColor: p.neutralTertiaryAlt,
                marginTop: 4,
                marginBottom: 4
            },
            splitButtonMenuButton: {
                backgroundColor: 'transparent',
                border: 'none',
                borderTopRightRadius: '0',
                borderBottomRightRadius: '0',
                color: p.neutralPrimary,
                selectors: {
                    ':hover': {
                        backgroundColor: p.neutralLighter,
                        color: p.neutralDark,
                        selectors: (_d = {},
                            _d[Styling_1.HighContrastSelector] = {
                                color: 'Highlight'
                            },
                            _d)
                    }
                }
            },
            splitButtonMenuButtonDisabled: {
                backgroundColor: p.neutralLighter,
                selectors: {
                    ':hover': {
                        backgroundColor: p.neutralLighter
                    }
                }
            },
            splitButtonMenuButtonChecked: {
                backgroundColor: p.neutralLight,
                color: p.black,
                selectors: {
                    ':hover': {
                        backgroundColor: p.neutralQuaternaryAlt
                    }
                }
            },
            splitButtonMenuButtonExpanded: {
                backgroundColor: p.neutralLight,
                color: p.black,
                selectors: {
                    ':hover': {
                        backgroundColor: p.neutralQuaternaryAlt
                    }
                }
            },
            splitButtonMenuIcon: {
                color: p.neutralPrimary
            },
            splitButtonMenuIconDisabled: {
                color: p.neutralTertiary
            },
            label: {
                fontWeight: 'normal' // theme.fontWeights.semibold,
            },
            icon: {
                color: p.themeDarkAlt
            },
            menuIcon: {
                color: p.neutralSecondary
            }
        };
        return Styling_1.concatStyleSets(baseButtonStyles, baseSplitButtonStyles, commandButtonStyles, customStyles);
    });
});
//# sourceMappingURL=CommandBarButton.styles.js.map